SND_CTL_REMOVE_ID(9)

NAME
snd_ctl_remove_id - remove the control of the given id and release it

SYNOPSIS

int snd_ctl_remove_id(struct snd_card * card, struct snd_ctl_elem_id * id);

ARGUMENTS

card
    the card instance

id
    the control id to remove

DESCRIPTION

Finds the control instance with the given id, removes it from the card list and releases it.

RETURN

0 if successful, or a negative error code on failure.

COPYRIGHT